Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime
Interface ILog

public interface ILog

A log to which status events can be written. Logs appear on individual plug-ins and on the platform itself. Clients can register log listeners which will receive notification of all log events as the come in.

This interface is not intended to be implemented by clients.

Method Summary
`void` | `addLogListener(ILogListener listener)` Adds the given log listener to this log.
`Bundle` | `getBundle()` Returns the plug-in with which this log is associated.
`void` | `log(IStatus status)` Logs the given status.
`void` | `removeLogListener(ILogListener listener)` Removes the given log listener to this log.

Method Detail

### addLogListener

    public void addLogListener(ILogListener listener)

  Adds the given log listener to this log. Subsequently the log listener will receive notification of all log events passing through this log. This method has no affect if the identical listener is already registered on this log.

  Parameters:
    `listener` - the listener to add to this log
  See Also:
    `Platform.addLogListener(ILogListener)`

### getBundle

    public Bundle getBundle()

  Returns the plug-in with which this log is associated.

  Note: This is an early access API to the new OSGI-based Eclipse 3.0 Platform Runtime. Because the APIs for the new runtime have not yet been fully stabilized, they should only be used by clients needing to take particular advantage of new OSGI-specific functionality, and only then with the understanding that these APIs may well change in incompatible ways until they reach their finished, stable form (post-3.0).

  Returns:
    the plug-in with which this log is associated
  Since:
    3.0

### log

    public void log(IStatus status)

  Logs the given status. The status is distributed to the log listeners installed on this log and then to the log listeners installed on the platform.

  Parameters:
    `status` - the status to log

### removeLogListener

    public void removeLogListener(ILogListener listener)

  Removes the given log listener to this log. Subsequently the log listener will no longer receive notification of log events passing through this log. This method has no affect if the identical listener is not registered on this log.

  Parameters:
    `listener` - the listener to remove
  See Also:
    `Platform.removeLogListener(ILogListener)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.